## org.irisa.genouest.logol
Enum Logol.FILTER

    java.lang.Object
      java.lang.Enum<Logol.FILTER>
          org.irisa.genouest.logol.Logol.FILTER

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Logol.FILTER>

Enclosing class:
  Logol

    public static enum Logol.FILTER

extends java.lang.Enum<Logol.FILTER>

Enum Constant Summary
`EXACT`
`GLOBAL`
`LOCAL`
`LOCAL0`

Method Summary
`static Logol.FILTER` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Logol.FILTER[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EXACT

    public static final Logol.FILTER EXACT

### LOCAL

    public static final Logol.FILTER LOCAL

### LOCAL0

    public static final Logol.FILTER LOCAL0

### GLOBAL

    public static final Logol.FILTER GLOBAL

Method Detail

### values

    public static Logol.FILTER[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Logol.FILTER c : Logol.FILTER.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Logol.FILTER valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null